package com.platform.yijia.pojo;


import lombok.Data;

/***
 * 油站设备管理
 */
@Data
public class StationDeviceManager {
    private Integer deviceId;           //主键ID
    private String deviceNo;            //设备编号（打印机SN和POS机的TUSN）
    private String deviceName;          //设备名称
    private Integer stationId;          //油站ID
    private String stationName;         //油站名称
    private String deviceType;          //设备类型：1、小票打印机；2、pos
    private String deviceSerialNum;     //设备密钥(小票打印机密码)
    private String gunNo;               //绑定油枪号
    private String deviceStatus;        //设备状态
    private String deviceFactory;       //设备厂家
    private String posFanoutExchange;   //使用POS所需要的MQ扇形交换机名字
    private String posQueue;            //使用POS机发送消息的队列名字
}
